summaryrefslogtreecommitdiff
path: root/dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-01 14:18:03 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-01 14:18:03 +0000
commitfb6ffa5e6e2e05267623d09239d10327c35fa8c4 (patch)
treede239dab4f4e0097f772d2c02f88c5cd40541d2f /dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild
parentd8787bc1ff136d4f231e24cc9fcbd89bb3d11842 (diff)
downloadbaldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.tar.gz
baldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.tar.xz
baldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild')
-rw-r--r--dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild b/dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild
new file mode 100644
index 000000000000..1f4edae4f358
--- /dev/null
+++ b/dev-python/python-bugzilla/python-bugzilla-2.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python module for interacting with Bugzilla over XMLRPC"
+HOMEPAGE="https://github.com/python-bugzilla/python-bugzilla"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+RDEPEND="
+ || ( dev-python/python-magic[${PYTHON_USEDEP}] sys-apps/file[python,${PYTHON_USEDEP}] )
+ dev-python/requests[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:rst2man:&.py:' setup.py || die
+ distutils-r1_src_prepare
+}